<%- include('./include/header.ejs'); -%>

    <body class="hold-transition login-page">
        <div class="login-box">
            <div class="login-logo">
                <a href=""><b>India</b> Mart</a>
            </div>
            <!-- /.login-logo -->
            <div class="card">
                <div class="card-body login-card-body">
                    <p class="login-box-msg">Forgot your password</p>
                    <form id="setPassword" novalidate="novalidate">
                        <div class="card-body">
                            <div class="form-group">
                                <label for="exampleInputPassword1">Password</label>
                                <input type="password" name="password" class="form-control" id="password"
                                    placeholder="Password">
                            </div>
                            <div class="card-footer">
                                <button type="submit" class="btn btn-primary">Set Password</button>
                            </div>
                    </form>
                </div>
                <!-- /.login-card-body -->
            </div>
        </div>
        <!-- jQuery -->
        <script src="<%= process.env.BASE_URL %>/plugins/jquery/jquery.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/jquery-validation/jquery.validate.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/jquery-validation/additional-methods.min.js"></script>
        <script src="<%= process.env.URL %>/plugins/toastr/toastr.min.js"></script>
        <!-- Bootstrap 4 -->
        <script src="<%= process.env.BASE_URL %>/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <!-- AdminLTE App -->
        <script src="<%= process.env.BASE_URL %>/dist/js/adminlte.min.js"></script>
        <script type="text/javascript" charset="utf8"
            src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/datatables/jquery.dataTables.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
        <script
            src="<%= process.env.BASE_URL %>/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
        <script
            src="<%= process.env.BASE_URL %>/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/jszip/jszip.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/pdfmake/pdfmake.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/pdfmake/vfs_fonts.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/datatables-buttons/js/buttons.html5.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/datatables-buttons/js/buttons.print.min.js"></script>
        <script src="<%= process.env.BASE_URL %>/plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
        <script>
            if (localStorage.getItem("token") != null) {
                window.location.href = '/admin/user/home/view'
            }
        </script>
        <script>
            $(document).ready(function () {
                $('#setPassword').validate({
                    rules: {
                        password: {
                            required: true,
                            minlength: 8
                        },
                    },
                    messages: {
                        password: {
                            required: "Please enter a email address",
                            minlength: "Your password must be at least 8 characters long"
                        },
                    },
                    errorElement: 'span',
                    errorPlacement: function (error, element) {
                        error.addClass('invalid-feedback');
                        element.closest('.form-group').append(error);
                    },
                    highlight: function (element, errorClass, validClass) {
                        $(element).addClass('is-invalid');
                    },
                    unhighlight: function (element, errorClass, validClass) {
                        $(element).removeClass('is-invalid');
                    }
                });

                $("#setPassword").submit(function (event) {
                    if ($(this).valid()) {
                        event.preventDefault()

                        $.ajax({
                            url: "/admin/user/new/password/<%= token %>",
                            method: 'put',
                            data: $(this).serialize(),
                            dataType: 'json',
                            success: function (data) {
                                if (data.responseCode == 200) {
                                    toastr.success(data.responseMessage)
                                    window.location.href = "/admin/user/login/view"
                                }
                                if (data.responseCode == 400) {
                                    toastr.error(data.responseMessage)
                                    $("#password").val("")
                                }
                            },
                            error: function (data) {
                                console.log(data);
                            },
                        })
                    }
                })
            })
        </script>
    </body>

    </html>